# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2018 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2018, Creative Commons
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""
from nfe.pysped.xml_sped.base import NohXML, XMLNFe, NAMESPACE_SIG, NAMESPACE_NFE

NAMESPACE_MDFE = u'http://www.portalfiscal.inf.br/mdfe'


def _le_nohs(self, tag, ns=None):
    # Tenta ler a tag sem os namespaces. Necessario para ler corretamente as tags de grupo
    if not ns:
        try:
            nohs = self._xml.xpath(tag)
            if len(nohs) >= 1:
                return nohs
        except Exception as err:
            if err:
                pass

    # Se nao der certo, tenta com os namespaces
    namespaces = {u'nfe': NAMESPACE_NFE, u'sig': NAMESPACE_SIG, u'mdfe': NAMESPACE_MDFE}
    for key in namespaces:
        prefix_xmlns = u'/%s:' % key
        ntag = prefix_xmlns.join(tag.split(u'/'))
        ntag = ntag.replace(prefix_xmlns * 2, u'//%s:' % key).replace(u'%s:sig:' % key, u'sig:')
        nohs = not self._xml is None and self._xml.xpath(ntag, namespaces=namespaces) or []
        if len(nohs) >= 1:
            return nohs

    return None


class XMLMDFe(XMLNFe):
    def __init__(self, *args, **kwargs):
        super(XMLMDFe, self).__init__(*args, **kwargs)
        setattr(NohXML, '_le_nohs', _le_nohs)

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
