# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2018 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2018, Creative Commons
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""
from nfe.pysped.xml_sped import TagDecimal, TagInteiro, TagCaracter
from nfe.mdfe.base import XMLMDFe, NAMESPACE_MDFE
from nfe.mdfe.manual_300 import *
import os

DIRNAME = os.path.dirname(__file__)


class ConsMDFeNaoEnc(XMLMDFe):
    """Leiaute do pedido de consulta MDF-e nao encerrados."""
    def __init__(self):
        super(ConsMDFeNaoEnc, self).__init__()
        self.versao = TagDecimal(
            nome=u'consMDFeNaoEnc', tamanho=[1, 4, 1], decimais=[0, 2, 2], propriedade=u'versao',
            raiz=u'/', valor=u'3.00', namespace=NAMESPACE_MDFE)
        self.tpAmb = TagInteiro(nome=u'tpAmb', tamanho=[1, 1], raiz=u'//consMDFeNaoEnc')
        self.xServ = TagCaracter(
            nome=u'xServ', tamanho=[24, 24], raiz=u'//consMDFeNaoEnc',
            valor=u'CONSULTAR NÃO ENCERRADOS')
        self.cpf = TagCaracter(
            nome=u'CPF', tamanho=[11, 11], raiz=u'//consMDFeNaoEnc', obrigatorio=False)
        self.cnpj = TagCaracter(
            nome=u'CNPJ', tamanho=[14, 14], raiz=u'//consMDFeNaoEnc', obrigatorio=False)
        self.caminho_esquema = os.path.join(DIRNAME, u'schema/', ESQUEMA_ATUAL + u'/')
        self.arquivo_esquema = u'consMDFeNaoEnc_v3.00.xsd'

    @property
    def xml(self):
        xml = u'<consMDFeNaoEnc xmlns="%s" versao="%s">' % (NAMESPACE_MDFE, self.versao.valor)
        xml += self.tpAmb.xml
        xml += u'<xServ>CONSULTAR NÃO ENCERRADOS</xServ>'  #self.xServ.xml
        xml += self.cpf.xml
        xml += self.cnpj.xml
        xml += u'</consMDFeNaoEnc>'

        return xml

    @xml.setter
    def xml(self, arquivo):
        self.versao.xml = arquivo
        self.tpAmb.xml = arquivo
        self.xServ.xml = arquivo
        self.cpf.xml = arquivo
        self.cnpj.xml = arquivo

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
