# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2018 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2018, Creative Commons
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""
from nfe.pysped.xml_sped import TagCaracter, TagInteiro
from nfe.mdfe.base import XMLMDFe, NAMESPACE_MDFE
from nfe.mdfe.manual_300 import *
import os

DIRNAME = os.path.dirname(__file__)


class EvCancMDFe(XMLMDFe):
    """Leiaute especifico do evento de cancelamento do MDF-e."""
    def __init__(self):
        super(EvCancMDFe, self).__init__()
        self.descEvento = TagCaracter(
            nome=u'descEvento', tamanho=[12, 12], raiz=u'//evCancMDFe', valor=u'Cancelamento')
        self.nProt = TagCaracter(nome=u'nProt', tamanho=[15, 15], raiz=u'//evCancMDFe')
        self.xJust = TagCaracter(nome=u'xJust', tamanho=[1, 255], raiz=u'//evCancMDFe')
        self.caminho_esquema = os.path.join(DIRNAME, u'schema/', ESQUEMA_ATUAL + u'/')
        self.arquivo_esquema = u'evCancMDFe_v3.00.xsd'

    @property
    def xml(self):
        xml = u'<evCancMDFe xmlns="%s">' % NAMESPACE_MDFE
        xml += self.descEvento.xml
        xml += self.nProt.xml
        xml += self.xJust.xml
        xml += u'</evCancMDFe>'

        return xml

    @xml.setter
    def xml(self, arquivo):
        self.descEvento.xml = arquivo
        self.nProt.xml = arquivo
        self.xJust.xml = arquivo

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
