# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2018 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2018, Creative Commons
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""
from nfe.pysped.xml_sped import TagCaracter, TagData
from nfe.mdfe.base import XMLMDFe, NAMESPACE_MDFE
from nfe.mdfe.manual_300 import *
import os

DIRNAME = os.path.dirname(__file__)


class ModalAereo(XMLMDFe):
    """Informacoes do Modal Aereo"""
    def __init__(self):
        super(ModalAereo, self).__init__()
        self.caminho_esquema = os.path.join(DIRNAME, u'schema/', ESQUEMA_ATUAL + u'/')
        self.arquivo_esquema = u'mdfeModalAereo_v3.00.xsd'
        self.nac = TagCaracter(nome=u'nac', tamanho=[1, 4], raiz=u'//aereo')
        self.matr = TagCaracter(nome=u'matr', tamanho=[1, 6], raiz=u'//aereo')
        self.nVoo = TagCaracter(nome=u'nVoo', tamanho=[5, 9], raiz=u'//aereo')
        self.cAerEmb = TagCaracter(nome=u'cAerEmb', tamanho=[3, 4], raiz=u'//aereo')
        self.cAerDes = TagCaracter(nome=u'cAerDes', tamanho=[3, 4], raiz=u'//aereo')
        self.dVoo = TagData(nome=u'dVoo', raiz=u'//aereo')

    @property
    def xml(self):
        xml = u'<aereo xmlns="%s">' % NAMESPACE_MDFE
        xml += self.nac.xml
        xml += self.matr.xml
        xml += self.nVoo.xml
        xml += self.cAerEmb.xml
        xml += self.cAerDes.xml
        xml += self.dVoo.xml
        xml += u'</aereo>'

        return xml

    @xml.setter
    def xml(self, arquivo):
        self.nac.xml = arquivo
        self.matr.xml = arquivo
        self.nVoo.xml = arquivo
        self.cAerEmb.xml = arquivo
        self.cAerDes.xml = arquivo
        self.dVoo.xml = arquivo

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
