# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2018 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2018, Creative Commons
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""
from nfe.mdfe.manual_300.retEventoMDFe import RetEventoMDFe
from nfe.pysped.xml_sped import TagDecimal, tira_abertura
from nfe.mdfe.manual_300.eventoMDFe import EventoMDFe
from nfe.mdfe.base import XMLMDFe, NAMESPACE_MDFE
from nfe.mdfe.manual_300 import *
import os

DIRNAME = os.path.dirname(__file__)


class ProcEventoMDFe(XMLMDFe):
    """Leiaute de compartilhamento de solicitação de registro de evento do MDF-e."""
    def __init__(self):
        super(ProcEventoMDFe, self).__init__()
        self.versao = TagDecimal(
            nome=u'procEventoMDFe', tamanho=[1, 4, 1], decimais=[0, 2, 2], propriedade=u'versao',
            raiz=u'/', namespace=NAMESPACE_MDFE, valor=u'3.00')
        self.evento = EventoMDFe()
        self.retEvento = RetEventoMDFe()
        self.caminho_esquema = os.path.join(DIRNAME, u'schema/', ESQUEMA_ATUAL + u'/')
        self.arquivo_esquema = u'procEventoMDFe_v3.00.xsd'

    @property
    def xml(self):
        xml = u'<procEventoMDFe xmlns="%s" versao="%s">' % (NAMESPACE_MDFE, self.versao.valor)
        xml += tira_abertura(self.evento.xml)
        xml += tira_abertura(self.retEvento.xml)
        xml += u'</procEventoMDFe>'

        return xml

    @xml.setter
    def xml(self, arquivo):
        self.versao.xml = arquivo
        self.evento.xml = arquivo
        self.retEvento.xml = arquivo

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
