# -*- coding: utf-8 -*-


from nfe.nfe_400.manual_600 import cancnfe as cancnfe_310
from nfe.pysped.xml_sped import *

class InfCancRecebido(cancnfe_310.InfCancRecebido):
    def __init__(self):
        super(InfCancRecebido, self).__init__()
        self.nProt = TagCaracter(nome=u'nProt', codigo=u'CR14', tamanho=[15, 15],
                                   raiz=u'//retCancNFe/infCanc', obrigatorio=False)
        self.cUF = TagCaracter(nome=u'cUF', codigo=u'CR14', tamanho=[2, 2],
                                   raiz=u'//retCancNFe/infCanc', obrigatorio=False)
        self.dhRecbto = TagDataHoraUTC(nome=u'dhRecbto', codigo=u'CR10',
                                          raiz=u'//retCancNFe/infCanc', obrigatorio=False)

    @property
    def xml(self):
        xml = XMLNFe.get_xml(self)

        if self.Id.xml:
            xml += self.Id.xml
        else:
            xml += u'<infEvento>'

        xml += self.tpAmb.xml
        xml += self.verAplic.xml
        xml += self.cOrgao.xml
        xml += self.cStat.xml
        xml += self.xMotivo.xml
        xml += self.chNFe.xml
        xml += self.tpEvento.xml
        xml += self.xEvento.xml
        xml += self.CNPJDest.xml
        xml += self.dhRegEvento.xml
        xml += self.nProt.xml
        xml += self.cUF.xml
        xml += self.dhRecbto.xml
        xml += u'</infEvento>'

        return xml

    @xml.setter
    def xml(self, arquivo):
        if self._le_xml(arquivo):
            self.Id.xml = arquivo
            self.tpAmb.xml = arquivo
            self.verAplic.xml = arquivo
            self.cOrgao.xml = arquivo
            self.cStat.xml = arquivo
            self.xMotivo.xml = arquivo
            self.chNFe.xml = arquivo
            self.tpEvento.xml = arquivo
            self.xEvento.xml = arquivo
            self.CNPJDest.xml = arquivo
            self.dhRegEvento.xml = arquivo
            self.nProt.xml = arquivo
            self.cUF.xml = arquivo
            self.dhRecbto.xml = arquivo

class RetCancNFe(cancnfe_310.RetCancNFe):
    def __init__(self):
        super(RetCancNFe, self).__init__()
        self.infCanc = InfCancRecebido()