# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2017 All Rights Reserved. Luiz Fernando Maciel França
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2017, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""
from nfe.pysped.nfe.webservices_3 import ESTADO_WS
from webservices_flag import *


__versao__ = (4, 0, 0)
VERSAO = '{}.{}{}'.format(*__versao__)

# Os ´Web Services´ dos estados passam a ter versao a fim de que se possa ter controle entre as
# diferentes versoes de um mesmo servico
ESTADO_WS = {
    VERSAO: {
        UF: {
            AMBIENTE: {
                SERVICO: ESTADO_WS[UF][AMBIENTE][SERVICO].copy()
                for SERVICO in ESTADO_WS[UF][AMBIENTE].keys()
            } for AMBIENTE in ESTADO_WS[UF].keys()
        } for UF in ESTADO_WS.keys()
    }
}

#
# SEFAZ Virtual Rio Grande do Sul - Producao
#
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_PRODUCAO][WS_CONSULTA_PROTOCOLO] = dict(
    servidor=u'nfce.svrs.rs.gov.br', webservice=u'NFeConsulta4', metodo=u'nfeConsultaNF',
    url=u'ws/NfeConsulta/NfeConsulta4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsulta4')
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_PRODUCAO][WS_STATUS_SERVICO] = dict(
    servidor=u'nfce.svrs.rs.gov.br', webservice=u'NFeStatusServico4',
    metodo=u'nfeStatusServicoNF', url=u'ws/NfeStatusServico/NfeStatusServico4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_PRODUCAO][WS_INUTILIZACAO] = dict(
    servidor=u'nfce.svrs.rs.gov.br', webservice=u'NFeInutilizacao4', metodo=u'nfeInutilizacaoNF',
    url=u'ws/nfeinutilizacao/nfeinutilizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_PRODUCAO][WS_AUTORIZACAO] = dict(
    servidor=u'nfce.svrs.rs.gov.br', webservice=u'NFeAutorizacao4', metodo=u'nfeAutorizacaoLote',
    url=u'ws/NfeAutorizacao/NFeAutorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_PRODUCAO][WS_RET_AUTORIZACAO] = dict(
    servidor=u'nfce.svrs.rs.gov.br', webservice=u'NFeRetAutorizacao4',
    metodo=u'nfeRetAutorizacaoLote', url=u'ws/NfeRetAutorizacao/NFeRetAutorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetAutorizacao4')
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'nfce.svrs.rs.gov.br', webservice=u'NFeRecepcaoEvento4',
    metodo=u'nfeRecepcaoEvento', url=u'ws/recepcaoevento/recepcaoevento4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcaoEvento4')

#
# SEFAZ Virtual Rio Grande do Sul - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_HOMOLOGACAO][WS_CONSULTA_PROTOCOLO] = dict(
    ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_PRODUCAO][WS_CONSULTA_PROTOCOLO],
    servidor=u'nfce-homologacao.svrs.rs.gov.br')
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_HOMOLOGACAO][WS_STATUS_SERVICO] = dict(
    ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_PRODUCAO][WS_STATUS_SERVICO],
    servidor=u'nfce-homologacao.svrs.rs.gov.br')
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_HOMOLOGACAO][WS_INUTILIZACAO] = dict(
    ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_PRODUCAO][WS_INUTILIZACAO],
    servidor=u'nfce-homologacao.svrs.rs.gov.br')
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_HOMOLOGACAO][WS_AUTORIZACAO] = dict(
    ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_PRODUCAO][WS_AUTORIZACAO],
    servidor=u'nfce-homologacao.svrs.rs.gov.br')
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_HOMOLOGACAO][WS_RET_AUTORIZACAO] = dict(
    ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_PRODUCAO][WS_RET_AUTORIZACAO],
    servidor=u'nfce-homologacao.svrs.rs.gov.br')
ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    ESTADO_WS[VERSAO]['SVRS'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO],
    servidor=u'nfce-homologacao.svrs.rs.gov.br')


#
# SEFAZ Amazonas - Ambiente de producao
#
ESTADO_WS[VERSAO]['AM'][AMBIENTE_PRODUCAO][WS_CONSULTA_PROTOCOLO] = dict(
    servidor=u'nfce.sefaz.am.gov.br', webservice=u'NFeConsulta4', metodo=u'nfeConsultaNF',
    url=u'nfce-services/services/NfeConsulta4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsulta4')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_PRODUCAO][WS_STATUS_SERVICO] = dict(
    servidor=u'nfce.sefaz.am.gov.br', webservice=u'NFeStatusServico4',
    metodo=u'nfeStatusServicoNF', url=u'nfce-services/services/NfeStatusServico4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_PRODUCAO][WS_INUTILIZACAO] = dict(
    servidor=u'nfce.sefaz.am.gov.br', webservice=u'NFeInutilizacao4', metodo=u'nfeInutilizacaoNF',
    url=u'nfce-services/services/NfeInutilizacao4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_PRODUCAO][WS_AUTORIZACAO] = dict(
    servidor=u'nfce.sefaz.am.gov.br', webservice=u'NFeAutorizacao4', metodo=u'nfeAutorizacaoLote',
    url=u'nfce-services/services/NfeAutorizacao4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_PRODUCAO][WS_RET_AUTORIZACAO] = dict(
    servidor=u'nfce.sefaz.am.gov.br', webservice=u'NFeRetAutorizacao4',
    metodo=u'nfeRetAutorizacaoLote', url=u'nfce-services/services/NfeRetAutorizacao4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetAutorizacao4')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'nfce.sefaz.am.gov.br', webservice=u'NFeRecepcaoEvento4',
    metodo=u'nfeRecepcaoEvento', url=u'nfce-services/services/NfeRecepcaoEvento4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcaoEvento4')

#
# SEFAZ Amazonas - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['AM'][AMBIENTE_HOMOLOGACAO][WS_CONSULTA_PROTOCOLO] = dict(
    ESTADO_WS[VERSAO]['AM'][AMBIENTE_PRODUCAO][WS_CONSULTA_PROTOCOLO],
    servidor=u'homnfce.sefaz.am.gov.br')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_HOMOLOGACAO][WS_STATUS_SERVICO] = dict(
    ESTADO_WS[VERSAO]['AM'][AMBIENTE_PRODUCAO][WS_STATUS_SERVICO],
    servidor=u'homnfce.sefaz.am.gov.br')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_HOMOLOGACAO][WS_INUTILIZACAO] = dict(
    ESTADO_WS[VERSAO]['AM'][AMBIENTE_PRODUCAO][WS_INUTILIZACAO],
    servidor=u'homnfce.sefaz.am.gov.br')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_HOMOLOGACAO][WS_AUTORIZACAO] = dict(
    ESTADO_WS[VERSAO]['AM'][AMBIENTE_PRODUCAO][WS_AUTORIZACAO],
    servidor=u'homnfce.sefaz.am.gov.br')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_HOMOLOGACAO][WS_RET_AUTORIZACAO] = dict(
    ESTADO_WS[VERSAO]['AM'][AMBIENTE_PRODUCAO][WS_RET_AUTORIZACAO],
    servidor=u'homnfce.sefaz.am.gov.br')
ESTADO_WS[VERSAO]['AM'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    ESTADO_WS[VERSAO]['AM'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO],
    servidor=u'homnfce.sefaz.am.gov.br')


#
# SEFAZ Bahia - Ambiente de producao
#
# Nao implementado

#
# SEFAZ Bahia - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['BA'][AMBIENTE_HOMOLOGACAO][WS_CONSULTA_PROTOCOLO] = dict(
    servidor=u'nfce-homologacao.svrs.rs.gov.br', webservice=u'NFeConsulta4',
    metodo=u'nfeConsultaNF', url=u'ws/NfeConsulta/NfeConsulta4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsulta4')
ESTADO_WS[VERSAO]['BA'][AMBIENTE_HOMOLOGACAO][WS_STATUS_SERVICO] = dict(
    servidor=u'nfce-homologacao.svrs.rs.gov.br', webservice=u'NFeStatusServico4',
    metodo=u'nfeStatusServicoNF', url=u'ws/NfeStatusServico/NfeStatusServico4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['BA'][AMBIENTE_HOMOLOGACAO][WS_INUTILIZACAO] = dict(
    servidor=u'nfce-homologacao.svrs.rs.gov.br', webservice=u'NFeInutilizacao4',
    metodo=u'nfeInutilizacaoNF', url=u'ws/nfeinutilizacao/nfeinutilizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['BA'][AMBIENTE_HOMOLOGACAO][WS_AUTORIZACAO] = dict(
    servidor=u'nfce-homologacao.svrs.rs.gov.br', webservice=u'NFeAutorizacao4',
    metodo=u'nfeAutorizacaoLote',  url=u'ws/NfeAutorizacao/NFeAutorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['BA'][AMBIENTE_HOMOLOGACAO][WS_RET_AUTORIZACAO] = dict(
    servidor=u'nfce-homologacao.svrs.rs.gov.br', webservice=u'NFeRetAutorizacao',
    metodo=u'nfeRetAutorizacaoLote', url=u'ws/NfeRetAutorizacao/NFeRetAutorizacao4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetAutorizacao')
ESTADO_WS[VERSAO]['BA'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'nfce-homologacao.svrs.rs.gov.br', webservice=u'NFeRecepcaoEvento4',
    metodo=u'nfeRecepcaoEvento', url=u'ws/recepcaoevento/recepcaoevento4.asmx',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcaoEvento')


#
# SEFAZ Minas Gerais - Ambiente de producao
#
ESTADO_WS[VERSAO]['MG'][AMBIENTE_PRODUCAO][WS_CONSULTA_CHAVE] = dict(
    url=u'https://portalsped.fazenda.mg.gov.br/portalnfce')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_PRODUCAO][WS_CONSULTA_QRCODE] = dict(
    url=u'https://portalsped.fazenda.mg.gov.br/portalnfce/sistema/qrcode.xhtml')
# url=u'https://nfce.fazenda.mg.gov.br/portalnfce/sistema/qrcode.xhtml')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_PRODUCAO][WS_CONSULTA_PROTOCOLO] = dict(
    servidor=u'nfce.fazenda.mg.gov.br', webservice=u'NFeConsultaProtocolo4',
    metodo=u'nfeConsultaNF', url=u'nfce/services/NFeConsultaProtocolo4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsulta4', )
ESTADO_WS[VERSAO]['MG'][AMBIENTE_PRODUCAO][WS_STATUS_SERVICO] = dict(
    servidor=u'nfce.fazenda.mg.gov.br', webservice=u'NFeStatusServico4',
    metodo=u'nfeStatusServicoNF', url=u'nfce/services/NFeStatusServico4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_PRODUCAO][WS_INUTILIZACAO] = dict(
    servidor=u'nfce.fazenda.mg.gov.br', webservice=u'NFeInutilizacao4',
    metodo=u'nfeInutilizacaoNF', url=u'nfce/services/NFeInutilizacao4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_PRODUCAO][WS_AUTORIZACAO] = dict(
    servidor=u'nfce.fazenda.mg.gov.br', webservice=u'NFeAutorizacao4',
    metodo=u'nfeAutorizacaoLote', url=u'nfce/services/NFeAutorizacao4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_PRODUCAO][WS_RET_AUTORIZACAO] = dict(
    servidor=u'nfce.fazenda.mg.gov.br', webservice=u'NFeRetAutorizacao4',
    metodo=u'nfeRetAutorizacaoLote', url=u'nfce/services/NFeRetAutorizacao4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'nfce.fazenda.mg.gov.br', webservice=u'NFeRecepcaoEvento4',
    metodo=u'nfeRecepcaoEvento', url=u'nfce/services/NFeRecepcaoEvento4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcaoEvento4')

#
# SEFAZ Minas Gerais - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['MG'][AMBIENTE_HOMOLOGACAO][WS_CONSULTA_CHAVE] = dict(
    url = u'https://hportalsped.fazenda.mg.gov.br/portalnfce')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_HOMOLOGACAO][WS_CONSULTA_QRCODE] = \
    ESTADO_WS[VERSAO]['MG'][AMBIENTE_PRODUCAO][WS_CONSULTA_QRCODE]
ESTADO_WS[VERSAO]['MG'][AMBIENTE_HOMOLOGACAO][WS_CONSULTA_PROTOCOLO] = dict(
    servidor=u'hnfce.fazenda.mg.gov.br', webservice=u'NFeConsultaProtocolo4',
    metodo=u'nfeConsultaNF', url=u'nfce/services/NFeConsultaProtocolo4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsulta4', )
ESTADO_WS[VERSAO]['MG'][AMBIENTE_HOMOLOGACAO][WS_STATUS_SERVICO] = dict(
    servidor=u'hnfce.fazenda.mg.gov.br', webservice=u'NFeStatusServico4',
    metodo=u'nfeStatusServicoNF', url=u'nfce/services/NFeStatusServico4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_HOMOLOGACAO][WS_INUTILIZACAO] = dict(
    servidor=u'hnfce.fazenda.mg.gov.br', webservice=u'NFeInutilizacao4',
    metodo=u'nfeInutilizacaoNF', url=u'nfce/services/NFeInutilizacao4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_HOMOLOGACAO][WS_AUTORIZACAO] = dict(
    servidor=u'hnfce.fazenda.mg.gov.br', webservice=u'NFeAutorizacao4',
    metodo=u'nfeAutorizacaoLote', url=u'nfce/services/NFeAutorizacao4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_HOMOLOGACAO][WS_RET_AUTORIZACAO] = dict(
    servidor=u'hnfce.fazenda.mg.gov.br', webservice=u'NFeRetAutorizacao4',
    metodo=u'nfeRetAutorizacaoLote', url=u'nfce/services/NFeRetAutorizacao4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['MG'][AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    servidor=u'hnfce.fazenda.mg.gov.br', webservice=u'NFeRecepcaoEvento4',
    metodo=u'nfeRecepcaoEvento', url=u'nfce/services/NFeRecepcaoEvento4',
    namespace=u'http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcaoEvento4')

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
