# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2017 All Rights Reserved. Luiz Fernando Maciel França
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2017, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""
from nfe.pysped.xml_sped import *
from nfe.pysped.nfe.manual_500 import cancnfe_310


class InfCancEnviado(cancnfe_310.InfCancEnviado):
    def __init__(self):
        super(InfCancEnviado, self).__init__()


class CancNFe(cancnfe_310.CancNFe):
    def __init__(self):
        super(CancNFe, self).__init__()
        self.versao = TagDecimal(nome=u'retEvento', codigo=u'CP01', propriedade=u'versao',
                                 valor=u'2.00', raiz=u'/')
        self.arquivo_esquema = u'cancNFe_v2.00.xsd'
        self.infCanc = InfCancEnviado()


class InfCancRecebido(cancnfe_310.InfCancRecebido):
    def __init__(self):
        super(InfCancRecebido, self).__init__()


class RetCancNFe(cancnfe_310.RetCancNFe):
    def __init__(self):
        super(RetCancNFe, self).__init__()
        self.versao = TagDecimal(nome=u'retCancNFe', codigo=u'CR01', propriedade=u'versao',
                                 valor=u'4.00', raiz=u'/')
        self.arquivo_esquema = u'retCancNFe_v2.00.xsd'
        self.infCanc = InfCancRecebido()


class ProcCancNFe(cancnfe_310.ProcCancNFe):
    def __init__(self):
        super(ProcCancNFe, self).__init__()
        self.versao = TagDecimal(nome=u'procCancNFe', propriedade=u'versao',
                                 namespace=NAMESPACE_NFE, valor=u'2.00', raiz=u'/')
        self.arquivo_esquema = u'procCancNFe_v2.00.xsd'
        self.cancNFe = CancNFe()
        self.retCancNFe = RetCancNFe()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
