# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2017 All Rights Reserved. Luiz Fernando Maciel França
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2017, Creative Commons
Autor - Pierre Geraldo Moura Barbosa <barbosa.pierre[at]gmail.com>
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""
import os
from nfe.pysped.xml_sped import *
from nfe.pysped.nfe.manual_500 import inutnfe_310
from nfe.nfe_400.manual_600.nfe_400 import ESQUEMA_ATUAL

DIRNAME = os.path.dirname(__file__)


class InfInutEnviado(inutnfe_310.InfInutEnviado):
    def __init__(self):
        super(InfInutEnviado, self).__init__()


class InutNFe(inutnfe_310.InutNFe):
    def __init__(self):
        super(InutNFe, self).__init__()
        self.versao = TagDecimal(nome=u'inutNFe', codigo=u'DP01', propriedade=u'versao',
                                 namespace=NAMESPACE_NFE, valor=u'4.00', raiz=u'/')
        self.caminho_esquema = os.path.join(DIRNAME, u'schema/', ESQUEMA_ATUAL + u'/')
        self.arquivo_esquema = u'inutNFe_v4.00.xsd'
        self.infInut = InfInutEnviado()


class InfInutRecebido(inutnfe_310.InfInutRecebido):
    def __init__(self):
        super(InfInutRecebido, self).__init__()
        self.infInut = InfInutEnviado()


class RetInutNFe(inutnfe_310.RetInutNFe):
    def __init__(self):
        super(RetInutNFe, self).__init__()
        self.versao = TagDecimal(nome=u'retInutNFe', codigo=u'DR01', propriedade=u'versao',
                                 namespace=NAMESPACE_NFE, valor=u'4.00', raiz=u'/')
        self.caminho_esquema = os.path.join(DIRNAME, u'schema', ESQUEMA_ATUAL + u'/')
        self.arquivo_esquema = u'retInutNFe_v4.00.xsd'
        self.infInut = InfInutRecebido()


class ProcInutNFe(inutnfe_310.ProcInutNFe):
    def __init__(self):
        super(ProcInutNFe, self).__init__()
        self.versao = TagDecimal(nome=u'ProcInutNFe', propriedade=u'versao',
                                 namespace=NAMESPACE_NFE, valor=u'4.00', raiz=u'/')
        self.caminho_esquema = os.path.join(DIRNAME, u'schema/', ESQUEMA_ATUAL + u'/')
        self.arquivo_esquema = u'procInutNFe_v4.00.xsd'
        self.inutNFe = InutNFe()
        self.retInutNFe = RetInutNFe()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
