# -*- coding: utf-8 -*-


from nfe.pysped.xml_sped import *
import os

DIRNAME = os.path.dirname(__file__)


class NFSeCabecMsg(XMLNFSe):
    def __init__(self):
        super(NFSeCabecMsg, self).__init__()
        self.webservice = u''

    def get_xml(self):
        xml = XMLNFSe.get_xml(self)
        xml += u'<nfeCabecMsg xmlns="http://www.portalfiscal.inf.br/nfe/wsdl/' + self.webservice + u'">'
        xml += u'</nfeCabecMsg>'
        return xml

    def set_xml(self, arquivo):
        # if self._le_xml(arquivo):
        #     self.cUF.xml         = arquivo
        #     self.versaoDados.xml = arquivo

        return self.xml

    xml = property(get_xml, set_xml)


class NFSeDadosMsg(XMLNFSe):
    def __init__(self):
        super(NFSeDadosMsg, self).__init__()
        self.webservice = u''
        self.dados = None
    
    def get_xml(self):
        xml = XMLNFSe.get_xml(self)
        # xml += u'<nfeDadosMsg xmlns="http://www.portalfiscal.inf.br/nfe/wsdl/' + self.webservice + u'">'
        xml += tira_abertura(self.dados.xml)
        # xml += u'</nfeDadosMsg>'
        return xml

    def set_xml(self, arquivo):
        pass

    xml = property(get_xml, set_xml)


class SOAPEnvio(XMLNFSe):
    def __init__(self):
        super(SOAPEnvio, self).__init__()
        self.webservice = u''
        self.metodo = u''
        self.envio  = None
        self.nfseCabecMsg = NFSeCabecMsg()
        self.nfseDadosMsg = NFSeDadosMsg()
        self._header = {u'content-type': u'application/soap+xml; charset=utf-8'}

    def get_xml(self):
        self.nfseCabecMsg.webservice = self.webservice
        self.nfseDadosMsg.dados = self.envio
        
        self._header[u'content-type'] = u'application/soap+xml; charset=utf-8; action="http://homologacaosetelagoas.portalfacil.com.br/nfseserv/webservice/servicos#' + self.webservice + u'"'
        
        xml = XMLNFSe.get_xml(self)
        xml += ABERTURA
        xml += u'<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/">'
        xml +=     u'<soap:Header>'
        xml +=             self.nfseCabecMsg.xml
        xml +=     u'</soap:Header>'
        xml +=     u'<soap:Body>'
        xml +=             self.nfseDadosMsg.xml
        xml +=     u'</soap:Body>'
        xml += u'</soap:Envelope>'
        return xml

    def set_xml(self):
        pass

    xml = property(get_xml, set_xml)
    
    def get_header(self):
        header = self._header
        return header
        
    header = property(get_header)


class SOAPRetorno(XMLNFSe):
    def __init__(self):
        super(SOAPRetorno, self).__init__()
        self.webservice = u''
        self.metodo = u''
        self.nfseCabecMsg = NFSeCabecMsg()
        self.resposta = None
    
    def get_xml(self):
        xml = XMLNFSe.get_xml(self)
        xml += ABERTURA
        xml += u'<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/">'
        # xml +=     u'<soap:Header>'
        # xml +=         u'<nfeCabecMsg xmlns="http://www.portalfiscal.inf.br/nfe/wsdl/' + self.webservice + u'">'
        # xml +=             self.nfseCabecMsg.xml
        # xml +=         u'</nfeCabecMsg>'
        # xml +=     u'</soap:Header>'
        xml +=     u'<soap:Body>'
        xml +=         u'<' + self.metodo + u'Result xmlns="http://www.portalfiscal.inf.br/nfe/wsdl/' + self.webservice + u'">'
        xml +=             self.resposta.xml
        xml +=         u'</' + self.metodo + u'Result>'
        xml +=     u'</soap:Body>'
        xml += u'</soap:Envelope>'
        return xml
        
    def set_xml(self, arquivo):
        if self._le_xml(arquivo):
            self.nfseCabecMsg.xml = arquivo
            self.resposta.xml = arquivo
        
    xml = property(get_xml, set_xml)
