# -*- coding: utf-8 -*-
#
# PySPED - Python libraries to deal with Brazil's SPED Project
#
# Copyright (C) 2010-2012
# Copyright (C) Aristides Caldeira <aristides.caldeira at tauga.com.br>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# PySPED - Bibliotecas Python para o
#          SPED - Sistema Público de Escrituração Digital
#
# Copyright (C) 2010-2012
# Copyright (C) Aristides Caldeira <aristides.caldeira arroba tauga.com.br>
#
# Este programa é um software livre: você pode redistribuir e/ou modificar
# este programa sob os termos da licença GNU Affero General Public License,
# publicada pela Free Software Foundation, em sua versão 3 ou, de acordo
# com sua opção, qualquer versão posterior.
#
# Este programa é distribuido na esperança de que venha a ser útil,
# porém SEM QUAISQUER GARANTIAS, nem mesmo a garantia implícita de
# COMERCIABILIDADE ou ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA. Veja a
# GNU Affero General Public License para mais detalhes.
#
# Você deve ter recebido uma cópia da GNU Affero General Public License
# juntamente com este programa. Caso esse não seja o caso, acesse:
# <http://www.gnu.org/licenses/>
#

from __future__ import division, print_function, unicode_literals

RECEPCIONAR_LOTE_RPS_REQUEST = 1
RECEPCIONAR_LOTE_RPS_RESPONSE = 2
CANCELAR_NFSE_REQUEST = 3
CANCELAR_NFSE_RESPONSE = 4
CONSULTAR_LOTE_RPS_REQUEST = 5
CONSULTAR_LOTE_RPS_RESPONSE = 6
CONSULTAR_NFSE_SERVICO_PRESTADO_REQUEST = 7
CONSULTAR_NFSE_SERVICO_PRESTADO_RESPONSE = 8
CONSULTAR_NFSE_SERVICO_TOMADO_REQUEST = 9
CONSULTAR_NFSE_SERVICO_TOMADO_RESPONSE = 10
CONSULTAR_NFSE_POR_FAIXA_REQUEST = 11
CONSULTAR_NFSE_POR_FAIXA_RESPONSE = 12
CONSULTAR_NFSE_POR_RPS_REQUEST = 13
CONSULTAR_NFSE_POR_RPS_RESPONSE = 14
GERAR_NFSE_REQUEST = 15
GERAR_NFSE_RESPONSE = 16
SUBSTITUIR_NFSE_REQUEST = 17
SUBSTITUIR_NFSE_RESPONSE = 18
RECEPCIONAR_LOTE_RPS_SINCRONO_REQUEST = 19
RECEPCIONAR_LOTE_RPS_SINCRONO_RESPONSE = 20

WS_NFSE_ENVIO_LOTE = 0
WS_NFSE_CONSULTA_LOTE = 1
WS_NFSE_CANCELAMENTO = 2
WS_NFSE_CONSULTA_NOTA = 3
WS_NFSE_CONSULTA_NFSERPS = 4
WS_NFSE_CONSULTA_SEQUENCIA_RPS = 5

NFSE_AMBIENTE_PRODUCAO = 1
NFSE_AMBIENTE_HOMOLOGACAO = 2

#
# Códigos SIAFI
#
SIAFI_SOROCABA_SP = 7145
SIAFI_CAMPINAS_SP = 6291
SIAFI_UBERLANDIA_MG = 5403
SIAFI_TERESINA_PI = 1219
SIAFI_BELEM_PA = 427
SIAFI_NOVA_IGUACU_RJ = 5869
SIAFI_SAO_LUIS_MA = 921
SIAFI_CAMPO_GRANDE_MS = 9051

IBGE_SETE_LAGOAS = 3167202

UF_CODIGO = {
    u'AC': 12,
    u'AL': 27,
    u'AM': 13,
    u'AP': 16,
    u'BA': 29,
    u'CE': 23,
    u'DF': 53,
    u'ES': 32,
    u'GO': 52,
    u'MA': 21,
    u'MG': 31,
    u'MS': 50,
    u'MT': 51,
    u'PA': 15,
    u'PB': 25,
    u'PE': 26,
    u'PI': 22,
    u'PR': 41,
    u'RJ': 33,
    u'RN': 24,
    u'RO': 11,
    u'RR': 14,
    u'RS': 43,
    u'SC': 42,
    u'SE': 28,
    u'SP': 35,
    u'TO': 17
}

CODIGO_UF = {
    12: u'AC',
    27: u'AL',
    13: u'AM',
    16: u'AP',
    29: u'BA',
    23: u'CE',
    53: u'DF',
    32: u'ES',
    52: u'GO',
    21: u'MA',
    31: u'MG',
    50: u'MS',
    51: u'MT',
    15: u'PA',
    25: u'PB',
    26: u'PE',
    22: u'PI',
    41: u'PR',
    33: u'RJ',
    24: u'RN',
    11: u'RO',
    14: u'RR',
    43: u'RS',
    42: u'SC',
    28: u'SE',
    35: u'SP',
    17: u'TO'
}

